La semaine dernière, mon amie a branché son disque dur chez moi. Surprise : le disque n’était pas reconnu (et c’est bien la première fois que je vois cela sous Ubuntu) et nous avons eu droit à une fenêtre de dialogue avec l’erreur suivante :

Unable to mount XX GB Filesystem
Error mounting: mount: unknown filesystem type 'exfat'

Solution: installer les paquets pour Exfat

Si cela vous arrive, il suffit d’installer le support ExFat sous Ubuntu.

ExFAT appelé aussi (FAT 64), est un nouveau système de fichier développé par Microsoft, qui a pour vocation d’être utilisé sur des périphériques externes comme les clé USB, les cartes SD et les disques durs externes.

Sa particularité est de permettre de stocker des fichiers de plus de 4 Go. En revanche, c’est un format propriétaire et donc non-libre.

Exfat pour Ubuntu 13.10+

Exfat fait désormais partie des paquets de base d’Ubuntu depuis la version 13.10 donc on peut l’installer avec un simple:

apt install exfat-fuse exfat-utils

Exfat pour Ubuntu 13.04 et versions inférieures

Il suffit d’ajouter un nouveau dépôt et d’installer les paquets fuse-exfat et exfat-utils :

sudo apt-add-repository ppa:relan/exfat
sudo apt update
sudo apt install fuse-exfat exfat-utils

Et voilà, disque reconnu !

Si vous avez trouvé une faute d’orthographe, veuillez nous en informer en sélectionnant le texte en question et en appuyant sur Ctrl + Entrée .

Articles en rapport:

Matt
Author

Matt est formateur, développeur expert WordPress et WooCommerce, et administrateur réseau chez Codeable.

4 Comments

  1. Avatar

    Bonjour.

    Je viens de tenter la manip et elle ne fonctionnait pas.
    J’ai approfondi (très légèrement) mes recherches et trouvé la solution sous cette forme:

    sudo apt-get install exfat-fuse exfat-utils

    Je peux désormais accéder sans aucun problème au contenu de ma carte SD.
    Merci de m’avoir mis sur la piste.
    Cordialement.

    • Matt

      Bonjour Eric,

      Merci de ton retour, effectivement le paquet fait désormais partie des paquets de base d’Ubuntu, avec un petit changement de nom.

      Je mets à jour l’article avec les différentes solutions pour les versions anciennes et récentes d’Ubuntu.

  2. Avatar

    Merci pour l’astuce, j’installe le paquet de suite !
    Je n’ai pas encore eu le problème, mais j’anticipe ! A force de dire que sur GNU/Linux, pas besoin de drivers, on installe et ça marche (bien sûr, ça dépend beaucoup de la marque du matériel !), il serait pédagogiquement mal venu d’être pris en défaut sur un piège comme ça ! :-)

    • Matt
      Matt Reply

      Je dois avouer que c’est le premier disque dur que je branche qui a besoin d’un paquet supplémentaire pour pouvoir être détecté correctement! C’est un cas plutôt rare je pense.

Écrire un commentaire

Rapport de faute d’orthographe

Le texte suivant sera envoyé à nos rédacteurs :